1. Projects
Litehost Connect API
  • System
    • Health check
      GET
    • API info
      GET
  • User
    • Get current user
      GET
  • Projects
    • List projects
      GET
    • Create project
      POST
    • Get project
      GET
    • Push new version
      PUT
    • Update project settings
      PATCH
    • Delete project
      DELETE
    • Get deployment history
      GET
    • Toggle archive
      POST
  • Domains
    • List domains
      GET
    • Get domain
      GET
  • Workspaces
    • List workspaces
      GET
    • Create workspace
      POST
    • Rename workspace
      PATCH
    • Delete workspace
      DELETE
  • Schemas
    • Project
    • Deployment
    • Domain
    • DomainDetail
    • WorkspaceSummary
    • ErrorResponse
    • SuccessResponse
  1. Projects

List projects

GET
/v1/projects

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
List of projects
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://connect.litehost.io/v1/projects?workspaceId&archived&limit&offset' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "status": "success",
    "data": {
        "projects": [
            {
                "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "title": "My Project",
                "slug": "my-project",
                "type": "html",
                "url": "https://my-project.litepage.site",
                "status": "public",
                "access": "public",
                "domainId": "8a0b02c3-fdd8-452e-bc6e-ef07a335ec7e",
                "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",
                "noIndex": false,
                "disableDownloads": false,
                "pageTitle": "string",
                "metaDescription": "string",
                "analyticsEnabled": true,
                "expiresAt": "2019-08-24T14:15:22.123Z",
                "archivedAt": "2019-08-24T14:15:22.123Z",
                "createdAt": "2019-08-24T14:15:22.123Z",
                "updatedAt": "2019-08-24T14:15:22.123Z"
            }
        ],
        "limit": 0,
        "offset": 0
    }
}
Modified at 2026-04-01 05:58:58
Previous
Get current user
Next
Create project
Built with